# https://fedoraproject.org/wiki/Packaging:Haskell
# https://fedoraproject.org/wiki/PackagingDrafts/Haskell

%global pkg_name lazysmallcheck

%global common_summary Haskell %{pkg_name} library

%global common_description Lazy SmallCheck is a library for exhaustive, demand-driven testing of\
Haskell programs.  It is based on the idea that if a property holds\
for a partially-defined input then it must also hold for all\
fully-defined refinements of the that input.  Compared to ``eager''\
input generation as in SmallCheck, Lazy SmallCheck may need\
significantly fewer test-cases to verify a property for all inputs up\
to a given depth.\
\
\

Name:           ghc-%{pkg_name}
Version:        0.6
Release:        5%{?dist}
Summary:        A library for demand-driven testing of Haskell programs

License:        BSD
URL:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz

BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
# Begin cabal-rpm deps:
# End cabal-rpm deps

%description
%{common_description}

%prep
%setup -q -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%ghc_devel_package

%ghc_devel_description

%ghc_devel_post_postun

%ghc_files LICENSE

%changelog
* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Nov 17 2012 Jens Petersen <petersen@redhat.com> - 0.6-4
- update with cabal-rpm

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jun 08 2012 Shakthi Kannan <shakthimaan [AT] fedoraproject dot org> - 0.6-2
- Updated common_description.

* Wed Jun 06 2012 Shakthi Kannan <shakthimaan [AT] fedoraproject dot org> - 0.6-1
- Spec file template generated by cabal2spec-0.25.5
